### Method

# Gio DataInputStream read_line_async

since: 2.20

#### Declaration [src]

    void
    g_data_input_stream_read_line_async (
      GDataInputStream* stream,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

The asynchronous version of g_data_input_stream_read_line(). It is an error to have two outstanding calls to this function.

When the operation is finished, `callback` will be called. You can then call `g_data_input_stream_read_line_finish()` to get the result of the operation.

Available since: 2.20

This method completes asynchronously. Use `g_data_input_stream_read_line_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.